/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.messaging;

import eu.univento.commons.Commons;
import eu.univento.commons.configuration.ConfigurationHandler;
import lombok.Getter;

/**
 * @author joethei
 * @version 0.1
 */
public class MessagingManager {

    @Getter
    private RabbitMQ rabbitMQ;

    public MessagingManager() {
        ConfigurationHandler config = Commons.getCommons().getConfigurationHandler();
        rabbitMQ = new RabbitMQ(config.getString("RabbitMQ.Host"), config.getInteger("RabbitMQ.Port"),
                config.getString("RabbitMQ.Username"), config.getString("RabbitMQ.Password"), config.getString("RabbitMQ.VirtualHost"));
    }
}